Bug 728473 - unicap missing libv4l as dependency
Summary: unicap missing libv4l as dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: unicap
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Kamil Dudka
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 09:51 UTC by Tomas Pelka
Modified: 2011-08-24 15:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-24 15:09:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1202 normal SHIPPED_LIVE unicap bug fix update 2011-08-24 15:09:50 UTC

Description Tomas Pelka 2011-08-05 09:51:05 UTC
Description of problem:
SSIA

    Finding Provides: sh /builddir/build/SOURCES/unicap-filter.sh /usr/lib/rpm/redhat/find-provides
    Finding Requires: sh /builddir/build/SOURCES/unicap-filter.sh /usr/lib/rpm/redhat/find-requires
    Provides: libucil = 0.9.5-6.el6 libunicap = 0.9.5-6.el6 libunicapgtk = 0.9.5-6.el6 libucil.so.2()(64bit) libunicapgtk.so.2()(64bit) libunicap.so.2()(64bit) libv4l2cpi.so.0()(64bit)
    Requires(interp): /sbin/ldconfig /sbin/ldconfig
    Requires(rpmlib): rpmlib(VersionedDependencies) <= 3.0.3-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
    Requires(post): /sbin/ldconfig
    Requires(postun): /sbin/ldconfig
    Requires: libasound.so.2()(64bit) libasound.so.2(ALSA_0.9.0rc4)(64bit) libasound.so.2(ALSA_0.9)(64bit) libatk-1.0.so.0()(64bit) libcairo.so.2()(64bit) libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3.4)(64bit) libc.so.6(GLIBC_2.4)(64bit) libc.so.6(GLIBC_2.7)(64bit) libdl.so.2()(64bit) libdl.so.2(GLIBC_2.2.5)(64bit) libfontconfig.so.1()(64bit) libfreetype.so.6()(64bit) libgcc_s.so.1()(64bit) libgcc_s.so.1(GCC_3.0)(64bit) libgcc_s.so.1(GCC_3.3.1)(64bit) libgdk_pixbuf-2.0.so.0()(64bit) libgdk-x11-2.0.so.0()(64bit) libgio-2.0.so.0()(64bit) libglib-2.0.so.0()(64bit) libgmodule-2.0.so.0()(64bit) libgobject-2.0.so.0()(64bit) libgtk-x11-2.0.so.0()(64bit) libm.so.6()(64bit) libm.so.6(GLIBC_2.2.5)(64bit) libogg.so.0()(64bit) libpango-1.0.so.0()(64bit) libpangocairo-1.0.so.0()(64bit) libpangoft2-1.0.so.0()(64bit) libpng12.so.0()(64bit) libpng12.so.0(PNG12_0)(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libraw1394.so.11()(64bit) librt.so.1()(64bit) libtheora.so.0()(64bit) libtheora.so.0(libtheora.so.1.0)(64bit) libucil.so.2()(64bit) libunicap.so.2()(64bit) libvorbisenc.so.2()(64bit) libvorbis.so.0()(64bit) libXext.so.6()(64bit) libXv.so.1()(64bit)

There is no libv4l even if 

# ldd /usr/lib/unicap2/cpi/libv4l2cpi.so.0.0.0 
	linux-gate.so.1 =>  (0x00a5d000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00de7000)
	libv4l2.so.0 => /usr/lib/libv4l2.so.0 (0x00e87000)
	libunicap.so.2 => /usr/lib/libunicap.so.2 (0x00259000)
	librt.so.1 => /lib/librt.so.1 (0x007b9000)
	libdl.so.2 => /lib/libdl.so.2 (0x00d00000)
	libm.so.6 => /lib/libm.so.6 (0x00110000)
	libc.so.6 => /lib/libc.so.6 (0x00438000)
	/lib/ld-linux.so.2 (0x0071f000)
	libv4lconvert.so.0 => /usr/lib/libv4lconvert.so.0 (0x00a80000)

Version-Release number of selected component (if applicable):
unicap-0.9.5-6.el6

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:
no libv4l dependency

Expected results:
unicap should require libv4l

Additional info:
not a regression

Comment 1 Kamil Dudka 2011-08-05 10:02:43 UTC
There is a file named unicap-filter.sh in the SRPM that I believe is responsible for this madness:

# The original script name has been passed as the first argument:
"$@" | sed -e '/^libdcam.so/d' -e '/^libv4l.so/d' -e '/^libv4l2.so/d' -e '/^libvid21394.so/d'

I am trying to figure out the idea behind...

Comment 2 Kamil Dudka 2011-08-05 10:08:25 UTC
This was introduced in unicap-0_2_23-3_fc10:

http://pkgs.fedoraproject.org/gitweb/?p=unicap.git;a=commitdiff;h=75d9c65

Comment 3 Kamil Dudka 2011-08-05 10:18:40 UTC
Taking the contents of libunicap-filter.sh from Fedora seems to solve the problem:

Index: unicap-filter.sh
===================================================================
RCS file: /cvs/dist/rpms/unicap/RHEL-6/unicap-filter.sh,v
retrieving revision 1.1
diff -u -p -r1.1 unicap-filter.sh
--- unicap-filter.sh    12 Aug 2009 07:12:18 -0000      1.1
+++ unicap-filter.sh    5 Aug 2011 10:17:07 -0000
@@ -1,4 +1,4 @@
 #!/bin/sh
 
 # The original script name has been passed as the first argument:
-"$@" | sed -e '/^libdcam.so/d' -e '/^libv4l.so/d' -e '/^libv4l2.so/d' -e '/^libvid21394.so/d'
+"$@" | sed -e '/^libdcam.so/d' -e '/^libv4l.so/d' -e '/^libv4l2cpi.so/d' -e '/^libvid21394.so/d'

Comment 11 errata-xmlrpc 2011-08-24 15:09:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1202.html


Note You need to log in before you can comment on or make changes to this bug.